GDCM: gdcm::ServiceClassUser Class Reference

GDCM 3.0.26

Public Member Functions | Static Public Member Functions | List of all members
gdcm::ServiceClassUser Class Reference

ServiceClassUser. More...

`#include <gdcmServiceClassUser.h>`

Inheritance diagram for gdcm::ServiceClassUser:
[legend]
Collaboration diagram for gdcm::ServiceClassUser:
[legend]

## Public Member Functions
| ServiceClassUser ()
| ServiceClassUser (const ServiceClassUser &)=delete
| ~ServiceClassUser () override
const char * | GetAETitle () const
const char * | GetCalledAETitle () const
double | GetTimeout () const
bool | InitializeConnection ()
bool | IsPresentationContextAccepted (const PresentationContext &pc) const
| Return if the passed in presentation was accepted during association negotiation.
void | operator= (const ServiceClassUser &)=delete
bool | SendEcho ()
| C-ECHO.
bool | SendFind (const BaseRootQuery *query, std::vector< DataSet > &retDatasets)
| C-FIND a query, return result are in retDatasets.
bool | SendMove (const BaseRootQuery *query, const char *outputdir)
| Execute a C-MOVE, based on query, return files are written in outputdir.
bool | SendMove (const BaseRootQuery *query, std::vector< DataSet > &retDatasets)
| Execute a C-MOVE, based on query, returned dataset are Implicit.
bool | SendMove (const BaseRootQuery *query, std::vector< File > &retFile)
| Execute a C-MOVE, based on query, returned Files are stored in vector.
bool | SendStore (const char *filename)
| Execute a C-STORE on file on disk, named filename.
bool | SendStore (DataSet const &ds)
| Execute a C-STORE on a DataSet, the transfer syntax used will be Implicit.
bool | SendStore (File const &file)
void | SetAETitle (const char *aetitle)
| set calling ae title
void | SetCalledAETitle (const char *aetitle)
| set called ae title
void | SetHostname (const char *hostname)
| Set the name of the called hostname (hostname or IP address)
void | SetPort (uint16_t port)
| Set port of remote host (called application)
void | SetPortSCP (uint16_t portscp)
| Set the port for any incoming C-STORE-SCP operation (typically in a return of C-MOVE)
void | SetPresentationContexts (std::vector< PresentationContext > const &pcs)
| Set the Presentation Context used for the Association.
void | SetTimeout (double t)
| set/get Timeout
bool | StartAssociation ()
| Start the association. Need to call SetPresentationContexts before.
bool | StopAssociation ()
| Stop the running association.
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions
static SmartPointer< ServiceClassUser > | New ()
| for wrapped language: instantiate a reference counted object

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

ServiceClassUser.

Examples
  CStoreQtProgress.cxx.

## Constructor & Destructor Documentation

## ◆ ServiceClassUser() [1/2]

gdcm::ServiceClassUser::ServiceClassUser | ( |  | ) |

Construct a SCU with default:

- hostname = localhost
- port = 104

Referenced by ServiceClassUser(), New(), and operator=().

## ◆ ~ServiceClassUser()

gdcm::ServiceClassUser::~ServiceClassUser | ( |  | ) |
| override

## ◆ ServiceClassUser() [2/2]

gdcm::ServiceClassUser::ServiceClassUser | ( | const ServiceClassUser & |  | ) |
| delete

References ServiceClassUser().

## Member Function Documentation

## ◆ GetAETitle()

const char * gdcm::ServiceClassUser::GetAETitle | ( |  | ) | const

## ◆ GetCalledAETitle()

const char * gdcm::ServiceClassUser::GetCalledAETitle | ( |  | ) | const

## ◆ GetTimeout()

double gdcm::ServiceClassUser::GetTimeout | ( |  | ) | const

## ◆ InitializeConnection()

bool gdcm::ServiceClassUser::InitializeConnection | ( |  | ) |

Will try to connect This will setup the actual timeout used during the whole connection time. Need to call SetTimeout first

Examples
  CStoreQtProgress.cxx.

## ◆ IsPresentationContextAccepted()

bool gdcm::ServiceClassUser::IsPresentationContextAccepted | ( | const PresentationContext & | pc | ) | const

Return if the passed in presentation was accepted during association negotiation.

## ◆ New()

static SmartPointer< ServiceClassUser > gdcm::ServiceClassUser::New | ( |  | ) |
| inlinestatic

for wrapped language: instantiate a reference counted object

References ServiceClassUser().

## ◆ operator=()

void gdcm::ServiceClassUser::operator= | ( | const ServiceClassUser & |  | ) |
| delete

References ServiceClassUser().

## ◆ SendEcho()

bool gdcm::ServiceClassUser::SendEcho | ( |  | ) |

C-ECHO.

## ◆ SendFind()

bool gdcm::ServiceClassUser::SendFind | ( | const BaseRootQuery * | query,
|  | std::vector< DataSet > & | retDatasets )

C-FIND a query, return result are in retDatasets.

## ◆ SendMove() [1/3]

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | const char * | outputdir )

Execute a C-MOVE, based on query, return files are written in outputdir.

## ◆ SendMove() [2/3]

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | std::vector< DataSet > & | retDatasets )

Execute a C-MOVE, based on query, returned dataset are Implicit.

## ◆ SendMove() [3/3]

bool gdcm::ServiceClassUser::SendMove | ( | const BaseRootQuery * | query,
|  | std::vector< File > & | retFile )

Execute a C-MOVE, based on query, returned Files are stored in vector.

## ◆ SendStore() [1/3]

bool gdcm::ServiceClassUser::SendStore | ( | const char * | filename | ) |

Execute a C-STORE on file on disk, named filename.

Examples
  CStoreQtProgress.cxx.

## ◆ SendStore() [2/3]

bool gdcm::ServiceClassUser::SendStore | ( | DataSet const & | ds | ) |

Execute a C-STORE on a DataSet, the transfer syntax used will be Implicit.

## ◆ SendStore() [3/3]

bool gdcm::ServiceClassUser::SendStore | ( | File const & | file | ) |

Execute a C-STORE on a File, the transfer syntax used for the query is based on the file.

## ◆ SetAETitle()

void gdcm::ServiceClassUser::SetAETitle | ( | const char * | aetitle | ) |

set calling ae title

## ◆ SetCalledAETitle()

void gdcm::ServiceClassUser::SetCalledAETitle | ( | const char * | aetitle | ) |

set called ae title

Examples
  CStoreQtProgress.cxx.

## ◆ SetHostname()

void gdcm::ServiceClassUser::SetHostname | ( | const char * | hostname | ) |

Set the name of the called hostname (hostname or IP address)

Examples
  CStoreQtProgress.cxx.

## ◆ SetPort()

void gdcm::ServiceClassUser::SetPort | ( | uint16_t | port | ) |

Set port of remote host (called application)

Examples
  CStoreQtProgress.cxx.

## ◆ SetPortSCP()

void gdcm::ServiceClassUser::SetPortSCP | ( | uint16_t | portscp | ) |

Set the port for any incoming C-STORE-SCP operation (typically in a return of C-MOVE)

## ◆ SetPresentationContexts()

void gdcm::ServiceClassUser::SetPresentationContexts | ( | std::vector< PresentationContext > const & | pcs | ) |

Set the Presentation Context used for the Association.

Examples
  CStoreQtProgress.cxx.

## ◆ SetTimeout()

void gdcm::ServiceClassUser::SetTimeout | ( | double | t | ) |

set/get Timeout

Examples
  CStoreQtProgress.cxx.

## ◆ StartAssociation()

bool gdcm::ServiceClassUser::StartAssociation | ( |  | ) |

Start the association. Need to call SetPresentationContexts before.

Examples
  CStoreQtProgress.cxx.

## ◆ StopAssociation()

bool gdcm::ServiceClassUser::StopAssociation | ( |  | ) |

Stop the running association.

Examples
  CStoreQtProgress.cxx.

The documentation for this class was generated from the following file:

- gdcmServiceClassUser.h